//variables globales
var idprod = 0;
var idcant = 0;
var numrow;
var Tcantidad = document.getElementById('tcantidad').innerHTML;
var Tprecio = document.getElementById('tprecio').innerHTML;
var Tpuntos = document.getElementById('tpuntos').innerHTML;

function habilitarfc() {
    if (document.getElementById('Descripcion')) {

    }
    if (document.getElementById()) {

    }
}
//funciones de promociones
//agrega el prodcuto de una promocion nueva 
function AddProduct() {
    var cantidad = document.getElementById("Cantidad").value;
    var listaProducto = document.getElementById("ListProductos").value;
    var indice = document.getElementById("ListProductos").selectedIndex;
    var texto = document.getElementById("ListProductos").options[indice].text;
    var Producto = document.getElementById('dProductoLista');
    var trProducto = document.createElement('tr');
    trProducto.setAttribute("onClick", "indexrow();");
    var tdProducto = document.createElement('td');
    var tdCantidad = document.createElement('td');
    var tdAccion = document.createElement('td');
    Producto.appendChild(trProducto);
    trProducto.appendChild(tdProducto);
    trProducto.appendChild(tdCantidad);
    trProducto.appendChild(tdAccion);
    tdProducto.innerHTML = texto;
    tdCantidad.innerHTML = cantidad;
    var sAccion = document.createElement('Button');
    sAccion.setAttribute("onClick", "DelProducto(this.parentNode.parentNode.rowIndex);");
    sAccion.innerHTML = "Eliminar";
    sAccion.setAttribute("id", "Prod" + idprod);

    tdAccion.appendChild(sAccion);
    var sCantidad = document.createElement('input');
    sCantidad.setAttribute("type", "hidden");
    sCantidad.setAttribute("name", "ProductoCantidad[]");
    sCantidad.setAttribute("value", cantidad);
    tdCantidad.appendChild(sCantidad);
    var sProducto = document.createElement('input');
    sProducto.setAttribute("type", "hidden");
    sProducto.setAttribute("name", "Productos[]");
    sProducto.setAttribute("value", listaProducto);
    tdProducto.appendChild(sProducto);
    idprod++;
}
//funcion que elimina un producto de la lista
function DelProducto(row) {
    console.log("al eliminar: " + row);
    document.getElementById("ProductoLista").deleteRow(row);
}

//funciones de una nota de venta
//Estas tres funciones se encargan que al llenar en el tipo de pago ya sea numero de cuenta regalias o vouncher 
//el radio button se colocare en esa opcion se hace el del ultimo que se selecciono
function TipoFolio() {
    var ra = document.getElementsByName('pago');
    console.log("folio");
    ra[1].checked = true;

}
function TipoVouncher() {
    var ra = document.getElementsByName('pago');
    console.log("Vouncher");
    ra[4].checked = true;
}
function TipoAutoriza() {
    var ra = document.getElementsByName('pago');
    console.log("Autoriza");
    ra[5].checked = true;
}
function TipoRegalia() {
    var ra = document.getElementsByName('pago');
    console.log("Regalia");
    ra[3].checked = true;

}

//esta funcion elimina de la lista de las ventas el producto y el input text lo limpia a 0
function Delprodventa(row, id) {
    document.getElementById('cant' + id).value = 0;
    document.getElementById('button' + id).disabled = false;
    console.log("al eliminar: " + row + "id:" + id);
    document.getElementById("ProductoLista").deleteRow(row);
    Tcantidad = Tcantidad - Cantidad;
    Tprecio = Tprecio - precio;
    Tpuntos = Tpuntos - puntos;
}
//esta funcion agrega a la lista un producto tiene filtro que si no es mayor a 0 no lo agrege
//lo que no tiene 
function addprodventa(cant, idprod, precio, puntos, existencias) {
    var Cantidad = document.getElementById('cant' + cant).value;
    var nombre = document.getElementById('nom' + cant).innerHTML;
    var button = document.getElementById('button' + cant);
    Tcantidad = Tcantidad + Cantidad;
    Tprecio = Tprecio + precio;
    Tpuntos = Tpuntos + puntos;
    console.log("id: " + cant);
    console.log("idprod: " + idprod);
    console.log("nombreprod: " + nombre);
    console.log("Precio: " + precio);
    console.log("Puntos: " + puntos);
    console.log("existencias: " + existencias);
    if (Cantidad > 0) {
        button.disabled = true;
        var bProducto = document.getElementById('ProductoLista');
        var trProducto = document.createElement('tr');
        var hiidProducto = document.createElement('input');
        var hiProducto = document.createElement('input');
        var tdProducto = document.createElement('td');
        var tdCantidad = document.createElement('td');
        var hiCantidad = document.createElement('input');
        var tdPrecio = document.createElement('td');
        var hiPrecio = document.createElement('input');
        var tdpuntos = document.createElement('td');
        var hipuntos = document.createElement('input');
        var hiexistencias = document.createElement('input');
        var tdAccion = document.createElement('td');
        bProducto.appendChild(trProducto);
        trProducto.appendChild(tdProducto);
        trProducto.appendChild(hiidProducto);
        trProducto.appendChild(hiProducto);
        trProducto.appendChild(hiCantidad);
        trProducto.appendChild(hiPrecio);
        trProducto.appendChild(hipuntos);
        trProducto.appendChild(hiexistencias);
        hiidProducto.setAttribute("type", "hidden");
        hiidProducto.setAttribute("name", "copia_id_prod" + cant);
        hiidProducto.setAttribute("value", idprod);
        hiProducto.setAttribute("type", "hidden");
        hiProducto.setAttribute("value", nombre);
        hiProducto.setAttribute("name", "copia_nombreProd" + cant);
        hiCantidad.setAttribute("type", "hidden");
        hiCantidad.setAttribute("name", "cant" + cant);
        hiCantidad.setAttribute("value", Cantidad);
        hiPrecio.setAttribute("type", "hidden");
        hiPrecio.setAttribute("value", precio);
        hiPrecio.setAttribute("name", "copia_precio" + cant);
        hipuntos.setAttribute("type", "hidden");
        hipuntos.setAttribute("value", puntos);
        hipuntos.setAttribute("name", "copia_puntos" + cant);
        hiexistencias.setAttribute("type", "hidden");
        hiexistencias.setAttribute("value", existencias);
        hiexistencias.setAttribute("name", "existencias" + cant);
        //copia_puntos$i
        trProducto.appendChild(tdCantidad);
        //trProducto.appendChild(hiCantidad);
        //
        trProducto.appendChild(tdPrecio);
        //trProducto.appendChild(hiPrecio);
        //
        trProducto.appendChild(tdpuntos);
        //trProducto.appendChild(hipuntos);
        //
        trProducto.appendChild(tdAccion);
        tdPrecio.innerHTML = precio;
        tdProducto.innerHTML = nombre;
        tdCantidad.innerHTML = Cantidad;
        tdCantidad.setAttribute("id", "Cantidad" + cant);
        tdPrecio.setAttribute("id", "Precio" + cant);
        tdpuntos.setAttribute("id", "Puntos" + cant);
        tdpuntos.innerHTML = puntos;
        var sEliminar = document.createElement('Button');
        sEliminar.setAttribute("onClick", "Delprodventa(this.parentNode.parentNode.rowIndex,this.id);");
        sEliminar.setAttribute("id", cant);
        sEliminar.innerHTML = "Eliminar";
        //
        var sMas = document.createElement('input');
        sMas.setAttribute("onClick", "Masproducto(this.id);");
        sMas.setAttribute("type", "button");
        sMas.setAttribute("id", cant);
        sMas.value = "+";
        //
        var sMenos = document.createElement('input');
        sMenos.setAttribute("onClick", "Menosproducto(this.id);");
        sMenos.setAttribute("type", "button");
        sMenos.setAttribute("id", cant);
        sMenos.value = "-";

        tdAccion.appendChild(sMas);
        tdAccion.appendChild(sEliminar);
        tdAccion.appendChild(sMenos);

    }
}
//funcion para el boton de mas, aumenta la cantidad para la venta
function Masproducto(row) {
    //agregar cuando tengan bien las existencias un if que no exeda las existencias
    var num = document.getElementById("Cantidad" + row).innerHTML;
    var Cant = document.getElementsByName("cant" + row).value;
    console.log(Cant);
    num++;
    Cant++;
    document.getElementsByName("cant" + row).value = Cant;
    document.getElementById("Cantidad" + row).innerHTML = num;
}
//funcion para el boton de menos, disminuye la cantidad para la venta
function Menosproducto(row) {
    var num = document.getElementById("Cantidad" + row).innerHTML;
    var Cant = document.getElementsByName("cant" + row).value;
    if (num > 1) {
        num--;
        Cant--;
        document.getElementById("Cantidad" + row).innerHTML = num;
        document.getElementsByName("cant" + row).value = Cant;
    }
}


//Funciones regalias
//selecciona todos los check o los deselecciona
function Selectall(l) {
    if (document.getElementById('Checall').checked) {
        Chekedall(l);
    } else {
        DesChekedall(l);
    }
}
//coloca el checked en true y solo selecciona si el numero de cuanta contiene algo
function Chekedall(l) {
    var c = document.getElementsByName('Coun');
    var x = document.getElementsByName('regas[]');
    for (i = 0; i < l; i++) {
        if (c[i].innerHTML != "")
        {
            x[i].checked = true;
        }
    }
}
//Colocal el cheked en false pone todas las casilla deseleccionadas
function DesChekedall(l) {
    var x = document.getElementsByName('regas[]');
    for (i = 0; i < l; i++) {
        x[i].checked = false;
    }
}


function enviando()
{
    document.getElementById('confirm').value="Enviando";
    document.getElementById('confirm').disabled=true;
    document.getElementById('enviar').submit();

}

function apartados()
{
var rfcchecks=document.getElementById('rfccheck');
alert(rfcchecks);

}